FreeMat

- Main Page
- Related Pages

vtkOutlineCornerFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkOutlineCornerFilter is a filter that generates wireframe outline corners of any data set. The outline consists of the eight corners of the dataset bounding box.

To create an instance of class vtkOutlineCornerFilter, simply invoke its constructor as follows

      obj = vtkOutlineCornerFilter

# Methods

The class vtkOutlineCornerFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOutlineCornerFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOutlineCornerFilter = obj.NewInstance ()`
- `vtkOutlineCornerFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetCornerFactor (double )` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMinValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMaxValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactor ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds